Name:             gr-iqbal
URL:              http://cgit.osmocom.org/gr-iqbal/
Version:          0.37.2
Release:          5%{?dist}
License:          GPLv3+
BuildRequires:    cmake, gnuradio-devel, doxygen, graphviz, swig, fftw-devel
BuildRequires:    libosmo-dsp-devel
Requires(post):   /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Group:            Applications/Communications
Summary:          GNURadio block for suppressing IQ imbalance
Source0:          http://cgit.osmocom.org/%{name}/snapshot/%{name}-%{version}.tar.bz2
# Patch sent upstream
Patch0:           gr-iqbal-0.37.2-soname-fix.patch

%description
This GNURadio block can suppress IQ imbalance in the RX path of
quadrature receivers.

%package devel
Summary:          Development files for gr-iqbal
Group:            Applications/Communications
Requires:         %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for gr-iqbal.

%package doc
Summary:          Documentation files for gr-iqbal
Group:            Applications/Communications
Requires:         %{name} = %{version}-%{release}
BuildArch:        noarch

%description doc
Documentation files for gr-iqbal.

%prep
%setup -q
%patch0 -p1 -b .soname-fix

%build
mkdir build
cd build
%cmake -DENABLE_DOXYGEN=on -DGR_PKG_DOC_DIR=%{_docdir}/%{name} ..
make %{?_smp_mflags}

%install
cd build
make install DESTDIR=%{buildroot} docdir=%{buildroot}%{_docdir}/%{name}

# Fix docs location
mkdir -p %{buildroot}%{_docdir}
mv %{buildroot}%{_datadir}/doc/gr-iqbalance %{buildroot}%{_docdir}/%{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%exclude %{_docdir}/%{name}/html
%exclude %{_docdir}/%{name}/xml
%doc COPYING AUTHORS
%{_libdir}/*.so.*
%{python_sitearch}/*
%{_datadir}/gnuradio/grc/blocks/*

%files devel
%{_includedir}/gnuradio/iqbalance
%{_includedir}/gnuradio/swig/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so

%files doc
%doc %{_docdir}/%{name}/html
%doc %{_docdir}/%{name}/xml

%changelog
* Sat Mar  7 2015 Jaroslav Škarvada <jskarvad@redhat.com> - 0.37.2-5
- Rebuilt for new gnuradio

* Thu Jan 29 2015 Petr Machata <pmachata@redhat.com> - 0.37.2-4
- Rebuild for boost 1.57.0

* Thu Oct 23 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 0.37.2-3
- Rebuilt for new gnuradio

* Thu Oct 16 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 0.37.2-2
- Added isa to devel package requirement

* Wed Oct  8 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 0.37.2-1
- Initial release
